List payment links
curl --request GET \
--url https://api.talescria.com/v1/payment-links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/payment-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"paymentLinks": [
{
"id": "<string>",
"url": "<string>",
"amount": {
"minorUnits": "125000",
"currency": "USD"
},
"usage": "single",
"status": "active",
"paymentsCompleted": 123,
"paymentInProgress": true,
"createdAt": 123,
"country": "<string>",
"description": "<string>",
"expiresAt": 123,
"accountId": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"deleted": true
},
"lastPaidAt": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Payment links
List payment links
Your payment links, newest first.
Requires the payment_links:read scope.
GET
/
v1
/
payment-links
List payment links
curl --request GET \
--url https://api.talescria.com/v1/payment-links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/payment-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"paymentLinks": [
{
"id": "<string>",
"url": "<string>",
"amount": {
"minorUnits": "125000",
"currency": "USD"
},
"usage": "single",
"status": "active",
"paymentsCompleted": 123,
"paymentInProgress": true,
"createdAt": 123,
"country": "<string>",
"description": "<string>",
"expiresAt": 123,
"accountId": "<string>",
"customer": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"deleted": true
},
"lastPaidAt": 123
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}